package com.yidian.shenghuoquan.border.dto

import android.os.Parcelable
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

@Parcelize
data class OrderConfirmResDto(
  @SerializedName("coupon_list")
  val couponList: List<CouponList>? = null,
  @SerializedName("goods_list")
  val goodsList: List<GoodsList>? = null,
//    @SerializedName("price")
//    val price: Int? = null,
  @SerializedName("shipping")
  val shipping: Shipping? = null,
  @SerializedName("take_place_list")
  val takePlaceList: List<TakePlaceList>? = null
) : Parcelable

@Parcelize
data class CouponList(
  @SerializedName("amount")
  val amount: String? = null,// 优惠券金额
  @SerializedName("desc")
  val desc: String? = null,
  @SerializedName("end_time")
  val endTime: String? = null,// 有效期结束时间
  @SerializedName("id")
  val id: String? = null,// 优惠券id
  @SerializedName("jump_url")
  val jumpUrl: String? = null,
  @SerializedName("name")
  val name: String? = null,// 优惠券名称
  @SerializedName("start_time")
  val startTime: String? = null,// 有效期开始时间
  @SerializedName("status")
  val status: Int? = null,
  @SerializedName("thumbnail")
  val thumbnail: String? = null,
  @SerializedName("type")
  val type: Int? = null,
  @SerializedName("use_activity_type")
  val useActivityType: Int? = null,
  @SerializedName("use_amount_min")
  val useAmountMin: Int? = null,
  @SerializedName("use_amount_type")
  val useAmountType: Int? = null,
  @SerializedName("use_shop_type")
  val useShopType: Int? = null
) : Parcelable

/**
 * 商品列表
 */
@Parcelize
data class GoodsList(
  @SerializedName("name")
  val name: String? = null,
) : Parcelable

/**
 * 发货相关
 */
@Parcelize
data class Shipping(
  @SerializedName("create_time")
  val createTime: String? = null,
  @SerializedName("order_id")
  val orderId: String? = null,// 订单id
  @SerializedName("receiver_address")
  val receiverAddress: String? = null,// 收获地址
  @SerializedName("receiver_mobile")
  val receiverMobile: String? = null,// 收货人手机号
  @SerializedName("receiver_name")
  val receiverName: String? = null,// 收货人姓名
  @SerializedName("shipping_id")
  val shippingId: String? = null,
  @SerializedName("take_place_id")
  val takePlaceId: Int? = null,
  @SerializedName("update_time")
  val updateTime: String? = null,
  @SerializedName("user_id")
  val userId: String? = null
) : Parcelable


/**
 * 自提点列表
 */
@Parcelize
data class TakePlaceList(
  @SerializedName("take_place_id")
  val takePlaceId: Int? = null,// 自提点id
  @SerializedName("take_place_name")
  val takePlaceName: String? = null,// 自提点名称
) : Parcelable
